server:
  port: 0

spring:
  sleuth:
    sampler:
      probability: 1.0
  zipkin:
    base-url: http://k8s.local.technology:9411/
  application:
    name: wallets
  datasource:
    url: jdbc:postgresql://localhost/ipay_wallets
    username: postgres
    password: postgres
  jpa:
    hibernate:
      ddl-auto: validate

  rabbitmq:
    host: k8s.local.technology
  cloud:
    stream:
      bindings:
        user:
          destination: users
          group: wallets

eureka:
  instance:
    instance-id: ${spring.application.name}-${random.uuid}
  client:
    serviceUrl:
      defaultZone: http://localhost:8761/eureka,http://localhost:8762/eureka,http://localhost:8763/eureka
management:
  endpoints:
    web:
      exposure:
        include:
          - health
          - info
          - refresh
